Skip to navigation

Add and remove values of a meter property variable in one atomic change

Requires the METER_PROPERTY_VARIABLE.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdOrReferencestringRequiredDefaults to
The ID or reference of the resource.

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
addlist of strings or nullOptional

Values to add; duplicates are ignored and values already held are skipped.

removelist of strings or nullOptional

Values to remove; duplicates are ignored and values not held are skipped.

Response

OK
addedinteger or nullOptionalRead-only
removedinteger or nullOptionalRead-only
skippedinteger or nullOptionalRead-only
value_countinteger or nullOptionalRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error